[Rainmeter]
Author=SergofaneS\viken
Update=80
MouseOverAction=!Execute [!RainmeterShowMeter mtTrashCount][!RainmeterShowMeter mtSizeCount][!RainmeterSetVariable Grey 1][!RainmeterRedraw]
MouseLeaveAction=!Execute [!RainmeterHideMeter mtTrashCount][!RainmeterHideMeter mtSizeCount][!RainmeterSetVariable Grey 0][!RainmeterRedraw]


[Variables]
Grey=0
KiloByte=1024
MegaByte=1048576
GigaByte=1073741824
TeraByte=1099511627776
FontFace=Neuropol


==========================================================


[MeasureBin]
Measure=Plugin
Plugin=RecycleManager.dll
RecycleType=SIZE
Drives=ALL
AverageSize=20
Autoscale=1


[MeasureBinNum]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=COUNT
AverageSize=20


[MeasureIsFull]
Measure=CALC
Formula=MeasureBinNum>0

----------------------------------------------------------

[ImageMeter]
Meter=Image
H=55
W=500
x=0
y=5
ImageName=2\[ImageNumberCalc].png
DynamicVariables=1

[ImageNumberCalc]
Measure=Calc
Formula=Counter % 72
Substitute=".00000":""


=========================================================

[BinIcon]
Meter=IMAGE
X=70
Y=55
H=20
W=100
DynamicVariables=1
MeasureName=MeasureIsFull
ImageName=%1\[ImageNumberCalc].png
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureBinNum OpenBin"]
RightMouseUpAction=!execute [!RainmeterPluginBang "MeasureBin EmptyBin"]



[ImageNumberCalc]
Measure=Calc
Formula=Counter % 72


========================================================



[msSizeType]
Measure=Calc
Formula=MeasureBin2=0?-6:(MeasureBin<#KiloByte#?-1:(MeasureBin<#MegaByte#?-2:(MeasureBin<#GigaByte#?-3:(MeasureBin<#TeraByte#?-4:-5))))
Substitute=".0":"","-6":"","-1":" bytes","-2":" kb","-3":" mb","-4":" gb","-5":" tb"

[MeasureBin2]
Measure=Plugin
Plugin=RecycleManager.dll
RecycleType=COUNT
Drives=ALL
UpdateDivider=2

[msSizeCalc]
Measure=Calc
Formula=(MeasureBin2=0)?-1:(msSizeType=(-1)?MeasureBin:(msSizeType=(-2)?MeasureBin/#KiloByte#:(msSizeType=(-3)?MeasureBin/#MegaByte#:(msSizeType=(-4)?MeasureBin/#GigaByte#:MeasureBin/#TeraByte#))))
Substitute=".0":"","-1":""

[msText]
Measure=Calc
Formula=MeasureBin2=0?-1:MeasureBin2
Substitute=".0":"","-1":""

[msPostfix]
Measure=Calc
Formula=MeasureBin2=0?-1:(MeasureBin2=1?-2:-3)
Substitute=".0":"","-1":"","-2":" פאיכ","-3":" פאיכא(מג)"


[mtTrashCount]
Meter=String
MeasureName=msText
MeasureName2=msPostfix
MeasureName3=msSizeCalc
MeasureName4=msSizeType
x=40
y=50
FontSize=9
StringAlign=Center
FontColor=3,173,243
StringEffect=Shadow
Text="%1%2#CRLF#%3%4"
AntiAlias=1
NumOfDecimals=1
Hidden=1


